# $Revision: 1.9 $, $Date: 2009/03/06 19:29:53 $
Summary:	Tree.hh - a STL-like generic container class for n-ary trees
Summary(pl.UTF-8):	Tree.hh - uniwersalna klasa kontenerowa do obsługi drzew n-klasowych
Name:		tree.hh
Version:	2.62
Release:	1
License:	GPL v2
Group:		Development/Libraries
Source0:	http://www.aei.mpg.de/~peekas/tree/tree-%{version}.tar.gz
# Source0-md5:	817fce1e4fef436cfaee1b9760257dd1
URL:		http://www.aei.mpg.de/~peekas/tree/
Requires:	libstdc++-devel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tree.hh library for C++ provides an STL-like container class for
n-ary trees, templated over the data stored at the nodes. Various
types of iterators are provided (post-order, pre-order, and others).
Where possible the access methods are compatible with the STL or
alternative algorithms are available.

%description -l pl.UTF-8
Biblioteka Tree.hh dla C++ udostępnia uniwersalną klasę kontenerową
dla drzew n-klasowych zbliżoną w obsłudze do standardowych kontenerów
biblioteki STL. Dostępne są różne rodzaje iteratorów (post-order,
pre-order i inne).

%prep
%setup -q -n tree-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}

install tree{,_util}.hh $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc tree.pdf
%{_includedir}/*.hh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tree.hh.spec,v $
Revision 1.9  2009/03/06 19:29:53  duddits
- up to 2.62

Revision 1.8  2008/07/27 22:19:32  arekm
- release 2

Revision 1.7  2008-05-21 06:10:30  arekm
- up to 2.51

Revision 1.6  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.4  2006/03/11 21:27:28  pluto
- updated to 2.03.
- license fixed (GPLv2 with no option for any later versions).

Revision 1.3  2005/08/18 22:24:25  qboosh
- more pl, simplified setup

Revision 1.2  2005/08/15 21:04:45  pluto
- pl.

Revision 1.1  2005/08/15 20:21:33  pluto
- initial release.
